export interface ISubscriptionOptions {
    subscriptionId: string;
    callback: Function;
    unsubscribe: (subscriptionId: string) => void;
}
export interface ISubscribeOptions {
    groupId?: string;
}
export declare class Subscription {
    private m_subscriptionId;
    private m_callback;
    private m_unsubscribeCallback;
    constructor(options: ISubscriptionOptions);
    private get subscriptionId();
    private get callback();
    private get unsubscribeCallback();
    invoke(data?: any): void;
    unsubscribe(): void;
}
